Subject: [Curdle] FW: New Version Notification for draft-schaad-curdle-oid-registry-00.txt

From: Jim Schaad <[email-masked]>
Date: Mon, 8 May 2017 10:34:38 -0700

I have written this document to make sure that the registration of the donated arc is dealt with correctly in the future.  I intend to ask EKR to do an AD sponsorship of the document if people do not see any issues.  Please review the document to make sure it is correct in terms of registrations that have been done in the past in this arc.

Note that I have placed a reservation in the table to allow for a subtree to be created at a future date.

Jim

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Monday, May 8, 2017 10:31 AM
To: Jim Schaad <[email-masked]>; Rick Andrews <[email-masked]>; Rick Andrews <[email-masked]>
Subject: New Version Notification for draft-schaad-curdle-oid-registry-00.txt

A new version of I-D, draft-schaad-curdle-oid-registry-00.txt
has been successfully submitted by Jim Schaad and posted to the IETF repository.

Name:		draft-schaad-curdle-oid-registry
Revision:	00
Title:		Object Identifier Registry for the Curdle Working Group
Document date:	2017-05-08
Group:		Individual Submission
Pages:		4
URL:            https://www.ietf.org/internet-drafts/draft-schaad-curdle-oid-registry-00.txt
Status:         https://datatracker.ietf.org/doc/draft-schaad-curdle-oid-registry/
Htmlized:       https://tools.ietf.org/html/draft-schaad-curdle-oid-registry-00
Htmlized:       https://datatracker.ietf.org/doc/html/draft-schaad-curdle-oid-registry-00

Abstract:
   When the Curdle Security Working Group was chartered, a range of
   object identifiers was donated by Symantec Website Security for use
   by that working group.  This document describes the range of
   identifiers that were assigned in that donated range, transfers
   control of that range to IANA, and establishes IANA allocation
   policies for any future assignments within that range.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: Ilari Liusvaara <[email-masked]>
Date: Mon, 8 May 2017 20:50:44 +0300

On Mon, May 08, 2017 at 10:34:38AM -0700, Jim Schaad wrote:
> I have written this document to make sure that the registration of the
> donated arc is dealt with correctly in the future.  I intend to ask
> EKR to do an AD sponsorship of the document if people do not see any
> issues.  Please review the document to make sure it is correct in
> terms of registrations that have been done in the past in this arc.

I notice some possible issues:

- The PKIX doc does not look to be valid reference for the 114 and
  115 entries, since the PH variants were dropped out of it.
- I presume 113 entry should be "id-EdDSA448", and not "id-EdDS448".
- I presume 115 entry should be "id-EdDSA448-ph" and not
  "id-EdDS448=ph".

> subtree to be created at a future date.

I have seen two nested defined OIDs before. RFC5280 contains a pair of
those (the anyEKU OID contains EKU extension OID as prefix)...

-Ilari

---

From: Jim Schaad <[email-masked]>
Date: Mon, 8 May 2017 11:04:02 -0700

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Monday, May 8, 2017 10:51 AM
To: Jim Schaad <[email-masked]>
Cc: 'curdle' <[email-masked]>
Subject: Re: [Curdle] FW: New Version Notification for draft-schaad-curdle-oid-registry-00.txt

[JLS] Yes - I am missing the A in this.

> subtree to be created at a future date.

I have seen two nested defined OIDs before. RFC5280 contains a pair of those (the anyEKU OID contains EKU extension OID as prefix)...

[JLS] This is not meant to be a nested OID, just the ability to define 1.3.101.100.1 and so forth.

Jim

-Ilari

---

From: Martin Thomson <[email-masked]>
Date: Tue, 9 May 2017 08:52:06 +1000

Is there any reason why this couldn't be adopted in this working
group?  It's pretty firmly in scope from what I can see.  FWIW, I
think that the working group should adopt this.

Comment on the draft: I think that you should say what the donation
was *for*, namely the identification of the ECDH and EdDSA algorithms
defined in <insert RFC numbers here>.

On 9 May 2017 at 03:34, Jim Schaad <[email-masked]> wrote:
> _______________________________________________
> Curdle mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/curdle

---

From: Benjamin Kaduk <[email-masked]>
Date: Tue, 9 May 2017 00:10:32 -0500

> think that the working group should adopt this.

It's uncontroversial and the AD-sponsored path might shave a couple
weeks off it?

But, I am +1 for adoption as well.

-Ben

---

From: Martin Thomson <[email-masked]>
Date: Tue, 9 May 2017 15:26:59 +1000

> It's uncontroversial and the AD-sponsored path might shave a couple

I'm pushing back on this pattern when I see it.  AD sponsorship puts
more work on an individual; the same goes for publication on the
independent stream.

If there is a problem with the efficiency of working groups, using
these alternative routes lets the problem fester. I suspect that -
more often than not - the problem is lack of energy or lack of
consensus.

---

From: Benjamin Kaduk <[email-masked]>
Date: Tue, 9 May 2017 00:53:01 -0500

> more work on an individual; the same goes for publication on the

You asked for "any reason", not "any good reason" :-P
You're right to push back on it...

> more often than not - the problem is lack of energy or lack of

Lots of lack of energy in places I frequent, alas.

-Ben

---

From: Eric Rescorla <[email-masked]>
Date: Tue, 9 May 2017 11:07:42 -0700

Speaking as AD, I am trying to minimize AD sponsorship, especially when
there is an existing group. Therefore, I would favor the WG process in this
case.

-Ekr

---

From: Daniel Migault <[email-masked]>
Date: Tue, 9 May 2017 18:35:02 +0000

Hi,

This is a call for adoption of the following draft: https://datatracker.ietf.org/doc/draft-schaad-curdle-oid-registry/

If you believe this draft should not be adopted as a WG document please let us know by May 23.
Please also provide your reviews of the draft.

Yours,
Daniel

---

From: Jim Schaad <[email-masked]>
Date: Tue, 9 May 2017 12:13:13 -0700

If EKR says do it here, then I support adoption.

From: Daniel Migault [mailto:[email-masked]] 
Sent: Tuesday, May 9, 2017 11:35 AM
To: Eric Rescorla <[email-masked]>; Benjamin Kaduk <[email-masked]>
Cc: Jim Schaad <[email-masked]>; Martin Thomson <[email-masked]>; curdle <[email-masked]>
Subject: <BULK>: RE: [Curdle] FW: New Version Notification for draft-schaad-curdle-oid-registry-00.txt

Hi, 

Yours, 
Daniel

---

From: "Salz, Rich" <[email-masked]>
Date: Tue, 9 May 2017 19:14:49 +0000

> If EKR says do it here, then I support adoption.

Does anyone have feelings against adopting this?  Please speak up soon.

---

From: "Mark D. Baushke" <[email-masked]>
Date: Tue, 9 May 2017 18:27:16 -0700

Hi Daniel,

I support EKR in this. The draft should be adopted by Curdle.

I also think the draft seems reasonable to me as written.

Does anyone know if IANA will be writing DTDs for these OIDs
so that oid-info.com will be able to point to the appropriate
RFCs?

That is:

  http://www.oid-info.com/get/1.3.101.100
  http://www.oid-info.com/get/1.3.101.110
  http://www.oid-info.com/get/1.3.101.111
  http://www.oid-info.com/get/1.3.101.112
  http://www.oid-info.com/get/1.3.101.113
  http://www.oid-info.com/get/1.3.101.114
  http://www.oid-info.com/get/1.3.101.115
  http://www.oid-info.com/get/1.3.101.120

would return appropriate information.

So, who is going to need to start here:

  http://oid-info.com/cgi-bin/manage?f=1.3.101&a=create

defining this URN going forwrd?

	-- Mark

---

From: Jim Schaad <[email-masked]>
Date: Wed, 10 May 2017 05:28:13 -0700

I do not believe that this has historically been part of the IANA mission. 

Jim

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Tuesday, May 9, 2017 6:27 PM
To: Daniel Migault <[email-masked]>
Cc: Eric Rescorla <[email-masked]>; Benjamin Kaduk <[email-masked]>; Jim Schaad
<[email-masked]>; Martin Thomson <[email-masked]>; curdle
<[email-masked]>
Subject: Re: [Curdle] FW: New Version Notification for
draft-schaad-curdle-oid-registry-00.txt 

Hi Daniel,

Does anyone know if IANA will be writing DTDs for these OIDs so that
oid-info.com will be able to point to the appropriate RFCs?

That is:

	-- Mark

---

From: "Mark D. Baushke" <[email-masked]>
Date: Wed, 10 May 2017 07:49:47 -0700

> I do not believe that this has historically been part of the IANA

How have OID assignments for RFC standards been handled in the past?

MIBs do exist under the IANA.org site:

  https://www.iana.org/assignments/ianacharset-mib/ianacharset-mib

I know I have seen MIBs with a copyright of
"The Internet Society" in the past as well as
the IANAifType-MIB.mib with types that are
prefixed with the 'IANA' string and

       ORGANIZATION "IANA"
       CONTACT-INFO "        Internet Assigned Numbers Authority

                     Postal: ICANN
                             4676 Admiralty Way, Suite 330
                             Marina del Rey, CA 90292

                     Tel:    +1 310 823 9358
                     E-Mail: iana&iana.org"

inside of the various MIBs.

It seems imprudent for there not to be a machine readable record
of the 1.3.101.100 .. 1.3.101.127 OIDs.

I sort of expect a section of this draft to have the OID assignments
that may be extracted.

Something along the lines of RFC 3560 perhaps?

id-X25519 OBJECT IDENTIFIER  ::=  { iso(1) dentified-organization(3)
  thawte(101) 110 }

id-X448 OBJECT IDENTIFIER  ::=  { iso(1) dentified-organization(3)
  thawte(101) 111 }
 
id-EdDSA25519 OBJECT IDENTIFIER  ::=  { iso(1) dentified-organization(3)
  thawte(101) 112 }

id-EdDS448 OBJECT IDENTIFIER  ::=  { iso(1) dentified-organization(3)  
  thawte(101) 113 }

id-EdDSA25519-ph OBJECT IDENTIFIER  ::=  { iso(1) dentified-organization(3)
  thawte(101) 114 }

id-EdDS448-ph OBJECT IDENTIFIER  ::=  { iso(1) dentified-organization(3)
  thawte(101) 115 }

Safecurves-pkix-0  OBJECT IDENTIFIER  ::=  { iso(1) dentified-organization(3)
   thawte(101) 120 }

along with all of the other book-keeping needed to deal with the
reserved for future sub-registry and unallocated 116 thru 119 and 121
thru 127 values.

If this is all wrong, please feel free to suggest the right way to do it.

	-- Mark

---

From: Jim Schaad <[email-masked]>
Date: Wed, 10 May 2017 13:10:43 -0700

I think what you are looking for is the ASN.1 module which is residing in
draft-ietf-curdle-pkix.  This is where the assignment is actually being
done.  The IANA work is really just booking to make sure we don't re-use an
OID value.

Jim

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Wednesday, May 10, 2017 7:50 AM
To: Jim Schaad <[email-masked]>
Cc: Daniel Migault <[email-masked]>; Eric Rescorla
<[email-masked]>; Benjamin Kaduk <[email-masked]>; Martin Thomson
<[email-masked]>; curdle <[email-masked]>
Subject: Re: [Curdle] FW: New Version Notification for
draft-schaad-curdle-oid-registry-00.txt 

I know I have seen MIBs with a copyright of "The Internet Society" in the
past as well as the IANAifType-MIB.mib with types that are prefixed with the
'IANA' string and

       ORGANIZATION "IANA"

                     Postal: ICANN

                     Tel:    +1 310 823 9358
                     E-Mail: iana&iana.org"

It seems imprudent for there not to be a machine readable record of the
1.3.101.100 .. 1.3.101.127 OIDs.

I sort of expect a section of this draft to have the OID assignments that
may be extracted.

 

Safecurves-pkix-0  OBJECT IDENTIFIER  ::=  { iso(1)
dentified-organization(3)
   thawte(101) 120 }

along with all of the other book-keeping needed to deal with the reserved
for future sub-registry and unallocated 116 thru 119 and 121 thru 127
values.

	-- Mark

---

From: Russ Housley <[email-masked]>
Date: Wed, 10 May 2017 17:21:32 -0400

I’d like to see the CURDLE WG adopt the document.

I wonder if this document should really assign 120.  My understanding is that these OIDs are to be used when there is a desire for a short OID.  There is no reason to consume a short OID for an ASN.1 module identifier; they never get transmitted.  I suggest we save 120 for an OID that will be transmitted.

Russ

> On May 9, 2017, at 2:35 PM, Daniel Migault <[email-masked]> wrote:
> 
> Hi,
>  
> This is a call for adoption of the following draft: https://datatracker.ietf.org/doc/draft-schaad-curdle-oid-registry/ <https://datatracker.ietf.org/doc/draft-schaad-curdle-oid-registry/>
>

---

From: Russ Housley <[email-masked]>
Date: Wed, 10 May 2017 17:26:22 -0400

> How have OID assignments for RFC standards been handled in the past?

The closest example to this situation lead to the publication of RFC 7107.

   When the S/MIME Mail Security Working Group was chartered, an object
   identifier arc was donated by RSA Data Security for use by that
   working group.  This document describes the object identifiers that
   were assigned in that donated arc, transfers control of that arc to
   IANA, and establishes IANA allocation policies for any future
   assignments within that arc.

Russ

---

From: Jim Schaad <[email-masked]>
Date: Wed, 10 May 2017 16:03:33 -0700

I assume that this is really a comment on draft-ietf-curdle-pkix since that is where the OID is assigned.

I have no real problems with doing this if it is general consensus.

Jim

From: Curdle [mailto:[email-masked]] On Behalf Of Russ Housley
Sent: Wednesday, May 10, 2017 2:22 PM
To: Daniel Migault <[email-masked]>
Cc: curdle <[email-masked]>
Subject: Re: [Curdle] New Version Notification for draft-schaad-curdle-oid-registry-00.txt

Russ

On May 9, 2017, at 2:35 PM, Daniel Migault <[email-masked] <mailto:[email-masked]> > wrote:

Hi,

This is a call for adoption of the following draft:  <https://datatracker.ietf.org/doc/draft-schaad-curdle-oid-registry/> https://datatracker.ietf.org/doc/draft-schaad-curdle-oid-registry/

Yours, 
Daniel

---

From: "Salz, Rich" <[email-masked]>
Date: Thu, 11 May 2017 00:52:02 +0000

> no reason to consume a short OID for an ASN.1 module identifier; they never get transmitted.  I suggest we save 120 for an OID that will be transmitted.

That's an excellent point and the draft should reflect that.

---

From: Daniel Migault <[email-masked]>
Date: Thu, 11 May 2017 01:46:01 +0000

Hi, 

I thought that the pkix draft did not consider prehash variant. Do we want to allocate 114 and 115 ? If so which reference will we indicate ? Maybe a clarifying note would be needed. 

In addition, should we make explicit who to contact when new OIDs should be added ?

Yours, 
Daniel

---

From: Jim Schaad <[email-masked]>
Date: Thu, 11 May 2017 07:14:38 -0700

Given that they were in the public arena and that they might be implemented in the future, I would rather not have them re-assigned to some other value. 

The reference is going to be back to the -03 draft of the document.  Since these never go away anymore I think that this is ok.  I would not be adverse to changing the description to be "Reserved for..."  Do you think that makes sense?

When doing new registrations, this will simply be an IANA request.  When the document goes through processing to the IESG the chairs would need to designate the experts to be consulted.  For simplicity I would suggest Russ and myself as we are the experts on the S/MIME and PKIX registries  (actually, just saw that I am not on the PKIX one) so a consistency between them would be maintained.

Jim

-----Original Message-----
From: Curdle [mailto:[email-masked]] On Behalf Of Daniel Migault
Sent: Wednesday, May 10, 2017 6:46 PM
To: Salz, Rich <[email-masked]>; Russ Housley <[email-masked]>
Cc: curdle <[email-masked]>
Subject: Re: [Curdle] New Version Notification for draft-schaad-curdle-oid-registry-00.txt

Hi, 

Yours, 
Daniel

---

From: Daniel Migault <[email-masked]>
Date: Thu, 11 May 2017 14:33:45 +0000

I am fine with your suggestions. I think "Reserved for..." is more accurate, and ease moving forward. 
Yours, 
Daniel
-----Original Message-----
From: Jim Schaad [mailto:[email-masked]] 
Sent: Thursday, May 11, 2017 10:15 AM
To: Daniel Migault <[email-masked]>; 'Salz, Rich' <[email-masked]>; 'Russ Housley' <[email-masked]>
Cc: 'curdle' <[email-masked]>
Subject: RE: [Curdle] New Version Notification for draft-schaad-curdle-oid-registry-00.txt

Jim

-----Original Message-----
From: Curdle [mailto:[email-masked]] On Behalf Of Daniel Migault
Sent: Wednesday, May 10, 2017 6:46 PM
To: Salz, Rich <[email-masked]>; Russ Housley <[email-masked]>
Cc: curdle <[email-masked]>
Subject: Re: [Curdle] New Version Notification for draft-schaad-curdle-oid-registry-00.txt

Hi, 

Yours, 
Daniel

---

From: Daniel Migault <[email-masked]>
Date: Thu, 25 May 2017 20:33:20 -0400

Hi,

Thank you all for reviewing the draft and expressing your opinion on the
adoption of the draft. None opposed the adoption, and a reasonable number
of people supported its adoption. The draft is adopted. as a WG document.

Yours,
Daniel

On Tue, May 9, 2017 at 2:35 PM, Daniel Migault <[email-masked]>
wrote:

> Hi,
>
>
>
> This is a call for adoption of the following draft:
> https://datatracker.ietf.org/doc/draft-schaad-curdle-oid-registry/
>
>
>